# $Revision: 1.18 $, $Date: 2008/07/27 22:59:03 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	XMLNews-Meta
Summary:	XMLNews::Meta Perl module - for reading and writing XMLNews metadata files
Summary(pl.UTF-8):	Moduł Perla XMLNews::Meta - odczyt i zapis plików z metadanymi XMLNews
Name:		perl-XMLNews-Meta
Version:	0.01
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DM/DMEGG/%{pnam}-%{version}.tar.gz
# Source0-md5:	6b7dd68ce7e1d6e85e5ef250f3859360
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-XML-Parser >= 2.19
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-Parser >= 2.19
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XMLNews::Meta module handles the import, export, and programmatic
manipulation of metadata for XMLNews resources. You can read or write
a metadata file using a single method call, and can easily add or
remove values.

%description -l pl.UTF-8
Moduł XMLNews::Meta obsługuje import, eksport i programową obróbkę
metadanych dla zasobów XMLNews. Można odczytywać i zapisywać metadane
za pomocą pojedynczego wywołania metody oraz łatwo dodawać i usuwać
wartości.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/XMLNews
%{perl_vendorlib}/XMLNews/Meta.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XMLNews-Meta.spec,v $
Revision 1.18  2008/07/27 22:59:03  arekm
- release 4

Revision 1.17  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.15  2004/12/01 10:48:55  radek
- standarized Source0 URL

Revision 1.14  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.13  2004/11/03 22:30:57  paladine
- formatting

Revision 1.12  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:26  ankry
- rel. 3

Revision 1.10  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.8  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.7  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/01 22:11:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.2  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.1  2002/08/04 19:23:52  qboosh
- new
